Bug 23022 - Edit Makefile for Help Messages to see some Special Charater..
Summary: Edit Makefile for Help Messages to see some Special Charater..
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL: user.chollian.net/~queenrjh/help/sgml...
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-30 12:36 UTC by Jong-Hoon, Ryu
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-07 02:06:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jong-Hoon, Ryu 2000-12-30 12:36:07 UTC
hello, I'm a korean user.


 there is not included it korean help screen messages for anaconda.

 so, I made it "sgml" file for korean. 

 I hope that be included it for next realease.
 

 you can download the file below..


 http://user.chollian.net/~queenrjh/help/sgml/help-screens-ko.sgml


 thanks for read this.

 happy new year.

Comment 1 Jong-Hoon, Ryu 2001-01-13 04:07:29 UTC
 Hi,

 we can't see it some characters at keyboard configuration screen while 
installing

 so, I added to the Makefile for Help messages to see some Special Characters..

 Plz, check this..


-------------------------------------

include ./Makefile.inc

LANGS=ko

LANGHTML=$(patsubst %,%-html,$(LANGS))

all:
	@echo "nothing to do"

%-html:
	mkdir -p $*; \
	cd $*;       \
	rm *.html;   \
        if [ "$*" = "ja" ]; then \
            SP_BCTF=ujis jade -t sgml -ihtml -d ../dave-html-ja.dsl ../help-
screens-$*.sgml; \
	    for I in *html; do \
                sed -e 's,<H1,<H3><B,g' -e 's,</H1,</B></H3,g' < $$I > $$I- ; \
	        mv -f $$I- $$I; \
            done; \
        else         \
            jade -t sgml -ihtml -d ../dave-html.dsl ../help-screens-$*.sgml; \
            if [ "$*" = "ko" ]; then \
                for I in *kybd.html; do \
		    sed -e 's,SC1,\&Ntilde;,' -e 's,SC2,\&Ocirc;,' -
e 's,SC3,\&Ccedil;,' < $$I > $$I- ; \
	            mv -f $$I- $$I; \
	        done; \
            fi; \
        fi;          \
	cd -;

html: $(LANGHTML)

install:
	mkdir -p $(DESTDIR)/$(ANACONDADATADIR)/help
	for I in $(LANGS); do \
            mkdir -p $(DESTDIR)/$(ANACONDADATADIR)/help/$$I; \
	    install $$I/*.html $(DESTDIR)/$(ANACONDADATADIR)/help/$$I; \
        done

depend:


-------------------------------------




Note You need to log in before you can comment on or make changes to this bug.